package actions.userstorytree;

import actions.UserStoryToolAction;
import plugin.Controller;
import ui.UserStoryTreeView;

public class TreeRefreshAction extends UserStoryToolAction
{
	public static final String NAME = "Refresh";
	public static final String TOOLTIP = "Refreshes the User Stories Tree.";
	public static final String IMAGE = "icons/refresh.png";
	public static final String COMMAND_ID = "com.userstoriestool.userstorytree.treerefreshaction";
	
	public TreeRefreshAction()
	{
		super(NAME, TOOLTIP, IMAGE, COMMAND_ID);
	}
	
	public void run()
	{
		if(Controller.instance == null)
		{
			return;
		}
		UserStoryTreeView.expandedElements = UserStoryTreeView.viewer.getExpandedElements();
		UserStoryTreeView.expandedElements = UserStoryTreeView.viewer.getExpandedTreePaths();
		Controller.getDatabase().refresh();
	}
}
