package actions.userstorytree.history;

import actions.UserStoryToolAction;
import history.HistoryManager;

public class HistoryUndoAction extends UserStoryToolAction
{
	public static final String NAME = "Undo";
	public static final String TOOLTIP = "Undo (delete, add and edit)";
	public static final String IMAGE = "icons/undo.png";
	public static final String COMMAND_ID = "com.userstoriestool.userstorytree.historyundoaction";
	
	public HistoryUndoAction()
	{
		super(NAME, TOOLTIP, IMAGE, COMMAND_ID);
	}
	
	public void run()
	{
		HistoryManager.undoHistory();
		viewer.refresh();
	}
}
