package actions.userstorytree.model;

import org.eclipse.jface.window.Window;

import actions.UserStoryToolAction;
import ui.dialogs.ModelViewDebugDialog;

public class ModelViewInfoAction extends UserStoryToolAction
{
	
	public static final String NAME = "View Info";
	public static final String TOOLTIP = "Displays information about the currently selected System or User Story";
	public static final String IMAGE = "icons/properties.png";
	public static final String COMMAND_ID = "com.userstoriestool.userstorytree.model.viewinfoaction";
	
	public ModelViewInfoAction()
	{
		super(NAME, TOOLTIP, IMAGE, COMMAND_ID);
	}
	
	public void run()
	{
		ModelViewDebugDialog viewInfo = new ModelViewDebugDialog(viewer.getControl().getShell());
		viewInfo.create();

		if (viewInfo.open() == Window.OK)
		{ }
		viewer.getTree().deselectAll();
	}
}

//viewModelInfo
/*viewModelInfo = new Action() {
			
		};
		viewModelInfo.setText("View Info");
		viewModelInfo.setToolTipText("Displays information about the currently selected System or User Story");
		viewModelInfo.setImageDescriptor(Activator.getImageDescriptor("icons/properties.png"));
		*/

