package history;

import java.util.ArrayList;

import model.Model;

public class ExtendedHistory extends History{

	private ArrayList<Model> newStory;
	public ExtendedHistory(ArrayList<Model> newStory, ArrayList<Model> oldStory, String action) {
		super(oldStory, action);
		this.setNewStory(newStory);
	}
	
	public ArrayList<Model> getNewStory() {
		return newStory;
	}
	public void setNewStory(ArrayList<Model> newStory) {
		this.newStory = newStory;
	}
	@Override
	public ExtendedHistory swapToFuture(){//Returns an ExtendedHistory (redo purposes)   
		ExtendedHistory redo = new ExtendedHistory(getOldStory(),newStory,HistoryManager.editHistory);
		return redo;
	}
}
