package model;

public class TestCase {
	
	private String id;
	private String description;
	private String expectedResults;
	private String remoteManagement;
	
	public TestCase(){		
	}
	public TestCase(String id){
		this.id = id;
		this.description = "";
		this.expectedResults = "";
		this.remoteManagement = "";
	}
	
	public TestCase(String id, String description , String expectedResults,String remote){
		this.id = id;
		this.description = description;
		this.expectedResults = expectedResults;
		this.remoteManagement = remote;
	}
	
	public String getId(){
		return id;
	}
	public void setId(String id){
		this.id = id;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getExpectedResults() {
		return expectedResults;
	}
	public void setExpectedResults(String expectedResults) {
		this.expectedResults = expectedResults;
	}
	public String getRemoteManagement() {
		return remoteManagement;
	}
	public void setRemoteManagement(String remoteManagement) {
		this.remoteManagement = remoteManagement;
	}
	@Override
	public String toString() {
		return "Test Case [id=" + id + ", description =" + description + ", expected results =" + expectedResults+ ", remote management =" + remoteManagement + "]";
	}
	
	
}
