package ui;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerSorter;

import model.Model;

@SuppressWarnings("deprecation")
public class UserStoryTreeViewerSorter extends ViewerSorter {
	public boolean sorter = true;
    @Override 
    public int compare(final Viewer viewer, final Object e1, final Object e2) { 
    	if(e1 instanceof Model && e2 instanceof Model){
    		if(((Model)e1).getAbsolutePath().equals(((Model)e2).getAbsolutePath())){
    			return 0;
    		}else{
    			if(sorter){
    				return ((Model)e1).getName().compareTo(((Model)e2).getName());
    			}else{
    				return (-1)*((Model)e1).getName().compareTo(((Model)e2).getName());
    			}
    		}
    	}
        return -1; 
    } 
}
