package actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.TreeViewer;

import plugin.Activator;

import ui.UserStoryTreeView;

public class UserStoryToolAction extends Action
{
	public static TreeViewer viewer = UserStoryTreeView.viewer;
	public static final String NAME = "UserStoryToolAction Name";
	public static final String TOOLTIP = "UserStoryToolAction Tooltip";
	public static final String IMAGE = "";
	public static final String COMMAND_ID = "";
	
	public UserStoryToolAction(String name, String tooltip, String image, String commandId)
	{
		super();
		setText(name);
		setToolTipText(tooltip);
		setImageDescriptor(Activator.getImageDescriptor(image));
		setActionDefinitionId(commandId);
	}
}