package actions.userstorytree;

import actions.UserStoryToolAction;
import plugin.Controller;

public class TreeCollapseAction extends UserStoryToolAction
{
	public static final String NAME = "Collapse Tree";
	public static final String TOOLTIP = "Collapses all tree items";
	public static final String IMAGE = "icons/collapse.png";
	public static final String COMMAND_ID = "com.userstoriestool.userstorytree.treecollapseaction";
	
	public TreeCollapseAction()
	{
		super(NAME, TOOLTIP, IMAGE, COMMAND_ID);
	}
	
	public void run()
	{
		if(Controller.instance == null)
		{
			return;
		}
		viewer.collapseAll();
	}
}