package actions.userstorytree;

import actions.UserStoryToolAction;
import plugin.Controller;
import ui.UserStoryTreeView;

public class TreeExpandAction extends UserStoryToolAction
{
	public static final String NAME = "Expand Tree";
	public static final String TOOLTIP = "Expands all tree items";
	public static final String IMAGE = "icons/expandall.png";
	public static final String COMMAND_ID = "com.userstoriestool.userstorytree.treeexpandaction";
	
	public TreeExpandAction()
	{
		super(NAME, TOOLTIP, IMAGE, COMMAND_ID);
	}
	
	public void run()
	{
		if(Controller.instance == null)
		{
			return;
		}
		// TODO: Add expand all for actors
		if(!UserStoryTreeView.showActors)
		{
			viewer.expandAll();
		}
	}
}