package actions.userstorytree.history;

import actions.UserStoryToolAction;
import history.HistoryManager;

public class HistoryRedoAction extends UserStoryToolAction
{
	public static final String NAME = "Redo";
	public static final String TOOLTIP = "Redo any undo";
	public static final String IMAGE = "icons/redo.png";
	public static final String COMMAND_ID = "com.userstoriestool.userstorytree.historyredoaction";
	
	public HistoryRedoAction()
	{
		super(NAME, TOOLTIP, IMAGE, COMMAND_ID);
	}
	
	public void run()
	{
		HistoryManager.redoHistory();
		viewer.refresh();
	}
}