package dragAndDrop;

import java.util.ArrayList;

import org.eclipse.swt.dnd.ByteArrayTransfer;
import org.eclipse.swt.dnd.TransferData;

import model.Model;
import model.UserStory;

public class UserStoryTransferType extends ByteArrayTransfer{
	private static UserStoryTransferType instance = new UserStoryTransferType();
	private static final String TYPE_NAME = "UserStory-transfer-format";
	private static final int TYPEID = registerType(TYPE_NAME);
	
	@Override
	protected int[] getTypeIds() {
		return new int[]{TYPEID};
	}

	@Override
	protected String[] getTypeNames() {
		return new String[]{TYPE_NAME};
	}
	
	public static UserStoryTransferType getInstance(){
		return instance;
	}
	private UserStoryTransferType(){		
	}
	protected ArrayList<Model> fromByteArray(byte[] bytes){
		 return DragAndDropDB.us;
	}
	protected void javaToNative(Object o,TransferData td){
		@SuppressWarnings("unchecked")
		byte[] b = toByteArray((ArrayList<UserStory>)o);
		if(b != null)
			super.javaToNative(b, td);
	}
	
	protected Object nativeToJava(TransferData td){
		byte[] b = (byte[])super.nativeToJava(td);
		return fromByteArray(b);
	}
	
	protected byte[] toByteArray(ArrayList<UserStory> us){
	    DragAndDropDB.us.addAll(us);
	    byte[] x = new byte[1];
	    return x;
	}
}
