package history;

import java.util.ArrayList;

import model.Model;

public abstract class History {

	private ArrayList<Model> oldStory; //The User Story that has been deleted,edited or added;
	private String action; //The Action (edit, delete or add)
	
	public History(ArrayList<Model> oldStory, String action){
		this.oldStory = oldStory;
		this.action = action;
	}
	public ArrayList<Model> getOldStory() {
		return oldStory;
	}
	public void setOldStory(ArrayList<Model> oldStory) {
		this.oldStory = oldStory;
	}
	public String getAction() {
		return action;
	}
	public void setAction(String action) {
		this.action = action;
	}
	public History swapToFuture(){
		return null;
	}
	public String toString(){
		return oldStory + " trying to " + action;
	}
}
